  container_scanning:
    image: "busybox:latest"
    stage: test
    allow_failure: true
    artifacts:
      reports:
        container_scanning: gl-container-scanning-report.json
      paths: [gl-container-scanning-report.json]
    dependencies: []
    script:
      - wget -O gl-container-scanning-report.json https://gitlab.com/-/snippets/2438327/raw/main/gl-container-scanning-report-empty.json?inline=false
    rules:
      - if: $CONTAINER_SCANNING_DISABLED
        when: never
      - if: $CI_COMMIT_BRANCH


  other_job:
    image: busybox:latest
    stage: test
    script:
      - echo "This is other branch"

  detachedjob:
    rules:
      - when: always
    script:
      - echo "Hello from detached job"
